[PA-2511] Patch ruby 2.5.3 for puppet-agent 6.0.x to address CVEs Created: 2019/03/06  Updated: 2019/03/26  Resolved: 2019/03/11

Status: Closed
Project: Puppet Agent
Component/s: None
Affects Version/s: None
Fix Version/s: puppet-agent 6.0.7

Type: Task Priority: Normal
Reporter: Molly Waggett Assignee: Gheorghe Popescu
Resolution: Fixed Votes: 0
Labels: resolved-issue-added, security
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Issue Links:
Cloners
clones PA-2510 Patch ruby 2.4.5 for puppet-agent 5.5... Closed
is cloned by PA-2512 Patch ruby 2.5.3 for puppet-agent mas... Closed
Relates
Template:
Epic Link: 2019 Security Fixes
Team: Night's Watch
Sprint: PR - 2019-03-20
QA Risk Assessment: Needs Assessment

 Description   

Until a new ruby 2.5.x gets released, we must patch ruby 2.5.3 to address several CVEs.

Patch: https://bugs.ruby-lang.org/attachments/7663



 Comments   
Comment by Gheorghe Popescu [ 2019/03/08 ]

PR: https://github.com/puppetlabs/puppet-runtime/pull/144

Generated at Sat Jan 25 00:25:20 PST 2020 using JIRA 7.7.1#77002-sha1:e75ca93d5574d9409c0630b81c894d9065296414.